<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="flrdruck5032_parameter" pageWidth="504" pageHeight="200" whenNoDataType="AllSectionsNoDetail" columnWidth="504" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="4aadc31f-6107-4999-a669-37ef722b0119">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="Zebra" class="java.math.BigDecimal"/>
	<field name="parameter_c_nr" class="java.lang.String"/>
	<field name="c_wert" class="java.lang.String"/>
	<variable name="Zebra" class="java.math.BigDecimal" resetType="Page">
		<variableExpression><![CDATA[$V{Zebra}.negate()]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<detail>
		<band height="10" splitType="Stretch">
			<rectangle>
				<reportElement key="Zebra_Null_eins" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="504" height="10" forecolor="#E2E2E2" backcolor="#E2E2E2" uuid="56639998-abc4-4124-a52e-f0527884bbaf">
					<printWhenExpression><![CDATA[$P{Zebra}.intValue() != 1 &&
$V{Zebra}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra_Haupt_Null" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="504" height="10" forecolor="#D9D9D9" backcolor="#D9D9D9" uuid="83c3f4bd-c9ad-4fb7-9206-399cb39c5c2c">
					<printWhenExpression><![CDATA[$P{Zebra}.intValue() == 1 &&
$V{Zebra}.intValue() != 1]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra_Haupt_Eins" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="504" height="10" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="c89b5a52-8bbb-497c-9db5-bc6f64cb52cd">
					<printWhenExpression><![CDATA[$P{Zebra}.intValue() == 1 &&
$V{Zebra}.intValue() == 1]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Parameter" positionType="Float" x="0" y="0" width="180" height="10" isRemoveLineWhenBlank="true" uuid="a2b81130-b635-4917-9953-4b4299d51c26"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{parameter_c_nr}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="false">
				<reportElement key="Wert" positionType="Float" x="180" y="0" width="324" height="10" isRemoveLineWhenBlank="true" uuid="0f9f6125-2479-4020-bfaa-a42e3477abbd"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_wert}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
